<template>
	<view class="" style="background-color: black;height: 100vh">
		<view style="color: #fff;">
			<tn-nav-bar :bottomShadow="false" backgroundColor="#207CF7">如何使用凡云AI</tn-nav-bar>
			<view :style="{height: tobheight+'px'}"></view>
		</view>
		<view class="box" style="">
			<video :autoplay="true" src="https://oaigc.oss-cn-chengdu.aliyuncs.com/openai/fanyunuse.mp4" style=""
				class="video"></video>
			<!-- <empty v-else tipTxt="暂无内容" style="margin-top: 50%;"></empty> -->
		</view>
	</view>
</template>

<script>
	import empty from '@/components/empty/empty.vue'
	export default {
		data() {
			return {
				tobheight: 45,
				platform: this.$platform.get(),
				content: 'https://oaigc.oss-cn-chengdu.aliyuncs.com/openai/fanyunuse.mp4'
			}
		},
		components: {
			empty
		},
		onLoad() {
			if (this.platform == 'wxMiniProgram') {
				var menumtop = uni.getMenuButtonBoundingClientRect().top - uni.getSystemInfoSync().statusBarHeight
				var paddingtop = uni.getSystemInfoSync().statusBarHeight + menumtop
				this.tobheight = (menumtop + paddingtop + uni.getMenuButtonBoundingClientRect().height)
			}
		},
	}
</script>

<style lang="scss" scoped>
	@import './lead.scss';

	.box {
		width: 100vw;
		height: 92vh;
		background: black;

		.video {
			width: 100%;
			height: 100%;
		}
	}
</style>